# Get signed contracts links

`GET /omni/get/signed-contracts-links`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Fetches temporary link of the signed contracts uploaded for the current session.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | query | string |  |  |
| `api-version` | header | string | yes |  |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `success` | boolean |  | Flag indicating request passed successfully. |
| `sessionStatus` | string |  | Session status Enum: `Alive`, `Closed`, `Deleted` |
| `additionalInformation` | object |  |  |

```json
{
  "success": true,
  "sessionStatus": "Alive",
  "additionalInformation": {
    "document ID1": "Temporary URL to signed document with ID1",
    "document ID2": "Temporary URL to signed document with ID2",
    "document ID3": "Temporary URL to signed document with ID3"
  }
}
```

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
